@font-face {
    font-family: 'Argos';
    src: url('font/argos.woff') format('woff');
    font-style: normal;
    font-weight: 400;
}

@font-face {
  font-family: 'LariosTitle';
  src: url('font/larios_title.woff') format('woff');
  font-style: normal;
  font-weight: 400;
}

body
{
  display: flex;
  justify-content: space-evenly;
}

#eyeBG
{
  fill: inherit;
}

#eyeFG
{
  fill: #312E2E;
}

.clickable
{
  cursor: pointer;
}

.extraFocus
{
  gap: 8px;
  color: #fff;
  fill: #fff;
  font-weight: 900;
  display: flex;
}

#menuSwitcher svg
{
  height: 16px;
}

#gyroSwitcher svg
{
  height: 26px;
}

.referencedEye
{
  fill: #fff;
  cursor: pointer;
  transform: scale(1.25);
}

.referencedEye:hover
{
  transform: scale(1.75);
  opacity: 0;
}

#krpanoSWFObject div
{
  /*z-index: 1 !important;*/
}

a
{
  text-decoration: none;
  color: #fff;
  cursor: pointer;
}

html
{
    font-family: 'Argos', sans-serif;
    -webkit-tap-highlight-color: transparent;
    background-color: #337d77;
    font-weight: 300;
}

button
{
  font-family: 'Argos', sans-serif;
}

h1
{
  font-weight: 300;
  font-size: 41px;
  margin-block-start: 0.25em;
  margin-block-end: 0.25em;
}

h2
{
  text-transform: uppercase;
  font-size: 14px;
  font-weight: normal;
}

body
{
  background-color: #101415;
  color: white;
  fill: white;
  -webkit-user-select: none;  /* Chrome all / Safari all */
  -moz-user-select: none;     /* Firefox all */
  -ms-user-select: none;      /* IE 10+ */
  user-select: none;          /* Likely future */
}

p
{
  font-weight: normal;
}

@keyframes rotation
{
    0%   {transform: rotate(0deg);}
    50%  {transform: rotate(180deg);}
    100% {transform: rotate(360deg);}
}

.fullscreenWrapper
{
  position: fixed;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 1500;
  flex-direction: column;
}

.spinning
{
  -webkit-animation: rotation 2s linear infinite; /* Safari 4.0 - 8.0 */
  animation: rotation 2s linear infinite;
}

.notdisplayed
{
  display: none;
}

.transition
{
  transition-property: all;
  transition-duration: 1s;
  transition-timing-function: cubic-bezier(0.65, 0, 0.35, 1);
}

.fastTransition
{
  transition-property: all;
  transition-duration: 0.5s;
  transition-timing-function: cubic-bezier(0.65, 0, 0.35, 1);
}

.upsideDown
{
  transform: rotate(180deg);
}

ul
{
  display: inline-block;
  padding: 0;
  list-style-type: none;
}

li
{
  padding: 6px;
  padding-left: 0;
  padding-right: 0;
  text-align: left;
  max-width: 248px;
  margin-left: 32px;
  margin-right: 32px;
}

.disabled
{
  opacity:0.3;
  pointer-events: none !important;
}

.displayNone
{
  display: none !important;
}

.notLoaded
{
  opacity:0;
  pointer-events: none !important;
}

.notLoaded *
{
  pointer-events: none !important;
}

.pointerEvents
{
  pointer-events: all;
}

.rectHotstpot
{
  fill: transparent;
  /*stroke-width: 1px;
  stroke: red;*/
  cursor: pointer;
}

.optionButton
{
  display: flex;
  padding: 8px 0;
  margin: 0 32px;
  /*border-bottom: 1px solid #FFD64C;
  color: #FFD64C;*/
  font-weight: bold;
}

.optionButton.option
{
  border-bottom: 1px solid #707070;
  color: #fff;
  margin: 0 32px 0 52px;
  font-weight: 300;
}

#logoWrapper
{
  pointer-events: none;
  z-index: 1501;
}

#mainLogo
{
  z-index: 3000;
  height: 128px;
  position: absolute;
  /*top: 48px;*/
  top: 0;
  /*left: 48px;*/
  /*max-height: 40px;*/
}

#logoRest
{
  opacity: 0;
}

#splashScreen
{
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 1500;
  object-fit: cover;
}

#gradientBG
{
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  z-index: 1499;
  /*background-image: linear-gradient(rgba(0, 0, 0, 0) 0px, rgba(0, 0, 0, 0.01) 1%, rgba(0, 0, 0, 0.25) 30%, rgba(0, 0, 0, 0.45) 100%);*/
  background-color: #337d77b2;
  height:100%;
  cursor: pointer;
}

#menuWrapper
{
  justify-content: center;
  pointer-events: none;
  width: 100%;
  background-color: #337d77b2;
}

#menuWrapper.notLoaded
{
  opacity: 0;
  transform: translate(0, 0);
}

#menuWrapper>svg>*
{
  pointer-events: fill;
}

#autoSwitcher
{
  width: 100%;
  height: 100%;
  position: fixed;
  right: -260px;
}

#mobileMenuButton
{
  position: absolute;
  right: -48px;
  top: 24px;
  pointer-events: all !important;
}

#mobileMenuButton img
{
  width: 22px;
  height: auto;
}

#mobileMenuButton.notLoaded
{
  pointer-events: none !important;
}

#mobileMenuLogo
{
  width: 140px;
  margin: 60px;
}

#floorPlanSVG
{
  max-height: calc(100% - 140px);
  max-width: calc(100% - 100px);
  flex-grow: 1;
  flex-shrink: 1;
  z-index: 1;
  overflow: visible;
}

#mobileOptions
{
  height: 100%;
  overflow-y: scroll;
}

#planOptions button
{
  cursor: pointer;
  border: 1px solid #fff;
  background: transparent;
  color: #fff;
  fill: #fff;
  padding: 8px;
  border-radius: 18px;
  pointer-events: all;
}

#planOptions button:hover
{
  background: #fff;
  color: #337d77;
  fill: #337d77;
}

.splashButton
{
  padding-left: 24px;
  padding-right: 24px;
  height: 40px;
  background-color: transparent;
  font-size: 20px;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  border-radius: 24px;
  border: 1px solid #ffffff;
  margin-top: 32px;
  font-weight: 400;
}

.splashButton *
{
  text-transform: uppercase;
  font-size: 12pt;
}

#disclaimer .textArea
{
  text-align: center;
  margin: 0 32px;
  max-width: 600px;
  font-size: 14pt;
}

.splashButton.closeButton
{
  text-transform: none;
}

.splashButton:hover
{
  background-color: #ffffff;
  color: #080808;
}

.splashButtonImage
{
  margin: 0 12px;
}

.rightAligned
{
  margin-left: auto;
}

#controls
{
  display: flex;
  position: absolute;
  height: 38px;
  border-radius: 19px;
  justify-content: space-evenly;
  align-items: center;
  flex-direction: row;
  bottom: 8px;
  z-index: 1502;
  background-color: #337d77b2;
  font-size: 12px;
  width: 275px;
}

#disclaimerSmall
{
  position: absolute;
  z-index: 1502;
  bottom: 12px;
  font-size: 12px;
}

#disclaimerBig
{
  display: none;
}

.smallButton
{
  height: 16px;
  width: 16px;
  cursor: pointer;
}

.smallButton > img
{
  width: 16px;
}

.zoomLabel
{
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  flex-direction: row;
  flex-wrap: nowrap;
}

.zoomLabel > div
{
  margin: 4px;
}

#el360Chooser
{
  position: absolute;
  width: 100%;
  height: 100%;
}

#hotspotTooltip
{
  /*color:#fff;*/
  color:#337d77;
  font-size: 17px;
  font-weight: 800;
  top: 24px;
  left: 0;
  position: absolute;
  display: none;
  transition-property: opacity;
  z-index: 2;  
  /*filter: drop-shadow(0 1px 1px #0004);*/
  filter: drop-shadow(0 0px 1px #fff);

}

#loadingBar
{
  position: fixed;
  top: 0;
  left: 0;
  z-index: 50000;
  background-color: #ffffff;
  height: 8px;
}

.buttonGroup
{
  margin-bottom: 38px;
}

@media (min-height: 768px)
{
  #mainLogo
  {
    top: 48px;
  }

  #controls
  {
    bottom: 48px;
  }

  #floorPlanSVG
  {
    max-height: calc(100% - 260px);
  }
}

@media (min-width: 768px) and (min-height: 768px)
{
  #autoSwitcher
  {
    display: block;
    position: fixed;
    width: 100%;
    height: 100%;
    right: 0;
    cursor: pointer;
    pointer-events: all;
    z-index: 0;
  }

  #hotspotTooltip
  {
    display: block;
  }

  #mobileMenuButton
  {
    display: none;
  }

  #mobileOptions
  {
    display: none;
  }

  #mainLogo
  {
    /*height: 45px;*/
    position: absolute;
    left: unset;
  }

  #logoRest
  {
    opacity: 1;
  }

  h1
  {
    font-size: 61px;
  }

  h2
  {
    font-size: 18px;
  }

  .splashButton
  {
    height: 48px;
    padding-left: 64px;
    padding-right: 64px;
  }

  .referencedEye
  {
    transform: scale(0.5);
  }

  .referencedEye:hover
  {
    transform: scale(0.75);
  }
}

@media (min-width: 768px)
{
  #controls
  {
    width: 500px;
  }

  #disclaimerSmall
  {
    display: none;
  }

  #disclaimerBig
  {
    display: block;
  }
}
